# dask.dataframe.rolling.Rolling.quantile

Rolling.quantile(quantile)

  Calculate the rolling quantile.

  This docstring was copied from pandas.core.window.rolling.Rolling.quantile.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    quantile float

      Quantile to compute. 0 <= quantile <= 1.

      Deprecated since version 2.1.0: This will be renamed to ‘q’ in a future version.

    interpolation{‘linear’, ‘lower’, ‘higher’, ‘midpoint’, ‘nearest’} (Not supported in Dask)

      This optional parameter specifies the interpolation method to use, when the desired quantile lies between two data points i and j:

      > - linear: i + (j - i) * fraction, where fraction is the fractional part of the index surrounded by i and j.

      > - lower: i.

      > - higher: j.

      > - nearest: i or j whichever is nearest.

      > - midpoint: (i + j) / 2.

    numeric_only bool, default False (Not supported in Dask)

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.quantile`

    Aggregating quantile for Series.

  `pandas.DataFrame.quantile`

    Aggregating quantile for DataFrame.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s.rolling(2).quantile(.4, interpolation='lower')
      0    NaN
      1    1.0
      2    2.0
      3    3.0
      dtype: float64

      >>> s.rolling(2).quantile(.4, interpolation='midpoint')
      0    NaN
      1    1.5
      2    2.5
      3    3.5
      dtype: float64